Package io.milvus.connection

## Class ServerSetting.Builder

- java.lang.Object
- - io.milvus.connection.ServerSetting.Builder

- Enclosing class:
    ServerSetting

      public static class ServerSetting.Builder
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ServerSetting` | `build()` | Verifies parameters and creates a new `ConnectParam` instance.
    `ServerSetting.Builder` | `withHost​(@NonNull ServerAddress serverAddress)` | Sets the server address
    `ServerSetting.Builder` | `withMilvusClient​(MilvusClient milvusClient)` | Sets the server client for a cluster

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withHost

          public ServerSetting.Builder withHost​(@NonNull
                                                @NonNull ServerAddress serverAddress)

      Sets the server address
      Parameters:
        `serverAddress` - ServerAddress host,port/server
      Returns:
        `Builder`

    - #### withMilvusClient

          public ServerSetting.Builder withMilvusClient​(MilvusClient milvusClient)

      Sets the server client for a cluster
      Parameters:
        `milvusClient` - MilvusClient
      Returns:
        `Builder`

    - #### build

          public ServerSetting build()
                              throws ParamException

      Verifies parameters and creates a new `ConnectParam` instance.
      Returns:
        `ConnectParam`
      Throws:
        `ParamException`